For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Count of Merchant Offers

This will count all published offers for a merchant (i.e. the offers a Channel has access to)

Get Count of Merchant Offers

get
Path parameters
merchant_idinteger · int32Required
Query parameters
date_last_modified:minstringOptional

Count only the offers that have been modified after the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-15T01:01:01+0000

Example: 2017-06-15T01:01:01+0000
date_last_modified:maxstringOptional

Count only the published offers that have been modified before the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-25T01:01:01+0000

Example: 2017-06-25T01:01:01+0000
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Product count statistics for a catalog

countinteger · int32Optional

Total number of products

published_countinteger · int32Optional

Number of published products

not_published_countinteger · int32Optional

Number of unpublished products

get/catalog/offers/merchants/{merchant_id}/count
default

default response

Last updated

Was this helpful?